Package com.dropbox.core.v2.sharing
Class DbxUserGetSharedLinkMetadataBuilder
java.lang.Object
com.dropbox.core.v2.sharing.DbxUserGetSharedLinkMetadataBuilder
The request builder returned by
DbxUserSharingRequests.getSharedLinkMetadataBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withLinkPassword(String linkPassword) Set value for optional field.Set value for optional field.
-
Method Details
-
withPath
Set value for optional field.- Parameters:
path- If the shared link is to a folder, this parameter can be used to retrieve the metadata for a specific file or sub-folder in this folder. A relative path should be used. Must match pattern "/(.|[\\r\\n])*".- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withLinkPassword
Set value for optional field.- Parameters:
linkPassword- If the shared link has a password, this parameter can be used.- Returns:
- this builder
-
start
Issues the request.
-